deployment-fluorine02 puppet broken
Closed, ResolvedPublic

Description

Error: Failed to apply catalog: Could not find dependent Service[ganglia-monitor] for File[/usr/lib/ganglia/python_modules/udp_stats.py] at /etc/puppet/modules/ganglia/manifests/plugin/python.pp:28

and

The last Puppet run was at Tue Oct 18 02:21:12 UTC 2016 (48616 minutes ago).
Reedy created this task.Nov 20 2016, 9:52 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 20 2016, 9:52 PM

Change 322639 had a related patch set uploaded (by Hashar):
udp2log: prevent Ganglia install when it is not used

https://gerrit.wikimedia.org/r/322639

hashar claimed this task.Nov 21 2016, 12:45 PM
hashar added a subscriber: hashar.

Had to use $::standard::has_ganglia. I have cherry picked the patch on the beta cluster puppetmaster and that unlocked puppet.

hashar moved this task from To Triage to In-progress on the Release-Engineering-Team board.

Mentioned in SAL (#wikimedia-releng) [2016-11-21T12:46:21Z] <hashar> beta: Cherry picked puppet fix for udp2log https://gerrit.wikimedia.org/r/#/c/322639/ T151169

Mentioned in SAL (#wikimedia-operations) [2016-11-21T12:51:51Z] <hashar> Restarted udp2log-mw service on deployment-fluorine02 . Was not available (ping T146723 T151169)

Change 322639 merged by Ottomata:
udp2log: prevent Ganglia install when it is not used

https://gerrit.wikimedia.org/r/322639

hashar closed this task as "Resolved".Nov 22 2016, 2:33 PM

\O/